"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SharedFoundation = exports.SharedDevice = exports.SharedQueue = exports.MIoTDevice = exports.initMIoT = void 0;
const MIoTDevice_1 = require("./MIoTDevice");
Object.defineProperty(exports, "MIoTDevice", { enumerable: true, get: function () { return MIoTDevice_1.MIoTDevice; } });
const queue_1 = require("./shared/queue");
Object.defineProperty(exports, "SharedQueue", { enumerable: true, get: function () { return queue_1.SharedQueue; } });
const device_1 = require("./shared/device");
Object.defineProperty(exports, "SharedDevice", { enumerable: true, get: function () { return device_1.SharedDevice; } });
const foundation_1 = require("./shared/foundation");
Object.defineProperty(exports, "SharedFoundation", { enumerable: true, get: function () { return foundation_1.SharedFoundation; } });
function initMIoT({ log, hap, config }) {
    foundation_1.SharedFoundation.log = log;
    foundation_1.SharedFoundation.hap = hap;
    Object.assign(foundation_1.SharedFoundation.config, config);
}
exports.initMIoT = initMIoT;
//# sourceMappingURL=index.js.map